Loading...
Searching...
No Matches
Opm::DeckKeyword Class Reference

## Public Types

typedef std::vector< DeckRecord >::const_iterator | const_iterator

## Public Member Functions

| DeckKeyword (const ParserKeyword &parserKeyword)
| DeckKeyword (const KeywordLocation &location, const ParserKeyword &parserKeyword)
| DeckKeyword (const KeywordLocation &location, const std::string &keywordName)
| DeckKeyword (const ParserKeyword &parserKeyword, const std::vector< std::vector< DeckValue > > &record_list, const UnitSystem &system_active, const UnitSystem &system_default)
| DeckKeyword (const ParserKeyword &parserKeyword, const std::vector< int > &data, const KeywordLocation &location=KeywordLocation {})
| DeckKeyword (const ParserKeyword &parserKeyword, const std::vector< double > &data, const UnitSystem &system_active, const UnitSystem &system_default, const KeywordLocation &location=KeywordLocation {})
const std::string & | name () const
void | setFixedSize ()
const KeywordLocation & | location () const
DeckKeyword | emptyStructuralCopy () const
size_t | size () const
bool | empty () const
void | addRecord (DeckRecord &&record)
const DeckRecord & | getRecord (size_t index) const
DeckRecord & | getRecord (size_t index)
const DeckRecord & | getDataRecord () const
const DeckRecord & | operator[] (std::size_t index) const
DeckRecord & | operator[] (std::size_t index)
void | setDataKeyword (bool isDataKeyword=true)
void | setDoubleRecordKeyword (bool isDoubleRecordKeyword=true)
bool | isDataKeyword () const
bool | isDoubleRecordKeyword () const
std::vector< int > & | getIntData ()
std::vector< double > & | getRawDoubleData ()
const std::vector< int > & | getIntData () const
const std::vector< double > & | getRawDoubleData () const
const std::vector< double > & | getSIDoubleData () const
const std::vector< std::string > & | getStringData () const
const std::vector< value::status > & | getValueStatus () const
size_t | getDataSize () const
void | write (DeckOutput &output) const
void | write_data (DeckOutput &output) const
void | write_TITLE (DeckOutput &output) const
template<class Keyword>
bool | is () const
const_iterator | begin () const
const_iterator | end () const
bool | equal_data (const DeckKeyword &other, bool cmp_default=false, bool cmp_numeric=true) const
bool | equal (const DeckKeyword &other, bool cmp_default=false, bool cmp_numeric=true) const
bool | operator== (const DeckKeyword &other) const
bool | operator!= (const DeckKeyword &other) const
template<class Serializer>
void | serializeOp (Serializer &serializer)

## Static Public Member Functions

static DeckKeyword | serializationTestObject ()

## Friends

std::ostream & | operator<< (std::ostream &os, const DeckKeyword &keyword)

The documentation for this class was generated from the following files:

- opm/input/eclipse/Deck/DeckKeyword.hpp
- opm/input/eclipse/Deck/DeckKeyword.cpp